Package io.vertx.ext.consul

## Enum AclTokenType

- java.lang.Object
- - java.lang.Enum<AclTokenType>
  - - io.vertx.ext.consul.AclTokenType

- All Implemented Interfaces:
    `Serializable`, `Comparable<AclTokenType>`

      public enum AclTokenType
      extends Enum<AclTokenType>

  Acl token type is either "client" (meaning the token cannot modify ACL rules) or "management" (meaning the token is allowed to perform all actions).
  Author:
    Ruslan Sennov
  See Also:
    Acl Consul system

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLIENT` |
    `MANAGEMENT` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `key` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AclTokenType` | `of​(String name)` |
    `static AclTokenType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AclTokenType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final AclTokenType CLIENT

    - #### MANAGEMENT

          public static final AclTokenType MANAGEMENT

  - ### Field Detail

    - #### key

          public final String key

  - ### Method Detail

    - #### values

          public static AclTokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AclTokenType c : AclTokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AclTokenType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static AclTokenType of​(String name)